Glibc-2.3.3 tarball

Kevin P. Fleming kpfleming at linuxfromscratch.org
Wed Jan 14 08:22:07 PST 2004


Jamie Bennett wrote:

> I agree with making the patch default but do we really need
> to add the POSIX2_VERSION environment variable to make packages
> not complain? If the coreutils maintainers recommend the patch
> and the general concensus on the lfs-dev list is that the patch
> is to be used then why not just leave it at that.

No, we don't need to add the setting of the environment variable. The 
reason I brought it up is because it's dead easy to do in an ALFS 
profile, where it's not so easy to do in the book. Also, thinking 
selfishly, I'll build my system without the coreutils patch, and this 
would save me the work of adding it to the profile myself :-)

> As Greg Schafer wrote " ... we are not here to save the world 
> from Posix stupidity. We are here to get on with our job of 
> building LFS." For me the patch is all we need but that is just
> MHO.

I think I'll retract my suggestion at this point; let's just follow the 
book, and those that want to change their own profiles can do so.

(Slightly OT: I've started using BitKeeper to maintain my local 
profiles, because it allows me to keep track of the CVS tree and my 
local changes and merge them together quite easily. Anyone out there 
whose willing to use closed-source software and maintains a modified 
copy of the "official" LFS profile might want to take a look. I like it.)




More information about the alfs-discuss mailing list